curl --request GET \
--url https://core.cyberun.cloud/api/v1/users/me \
--header 'Authorization: Bearer <token>'import requests
url = "https://core.cyberun.cloud/api/v1/users/me"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://core.cyberun.cloud/api/v1/users/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://core.cyberun.cloud/api/v1/users/me",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://core.cyberun.cloud/api/v1/users/me"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://core.cyberun.cloud/api/v1/users/me")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://core.cyberun.cloud/api/v1/users/me")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "019abc12-3456-7890-abcd-ef1234567890",
"first_name": "Alice",
"last_name": "Chen",
"display_name": "Alice Chen",
"email_address": "alice@example.com",
"team_list": [
{
"id": "019abc12-4567-7890-abcd-ef1234567891",
"display_name": "Alice's Team"
}
],
"feature_flags": {
"global": {
"features": {
"registration": true,
"oauth": true,
"email": true,
"oidc_provider": true,
"mcp_server": true,
"auto_team": true,
"notifications": true
},
"quotas": {
"max_users": 123,
"max_teams": 123,
"max_agents": 123,
"max_concurrent_tasks": 123
}
},
"account": {
"features": {
"manual_team_creation": true,
"team_invitation_accept": true
},
"quotas": {
"max_owned_teams": 123
}
},
"teams": {}
}
}{
"error_message": "resource not found"
}Get current user profile
Returns the authenticated user’s profile including all teams they belong to.
curl --request GET \
--url https://core.cyberun.cloud/api/v1/users/me \
--header 'Authorization: Bearer <token>'import requests
url = "https://core.cyberun.cloud/api/v1/users/me"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://core.cyberun.cloud/api/v1/users/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://core.cyberun.cloud/api/v1/users/me",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://core.cyberun.cloud/api/v1/users/me"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://core.cyberun.cloud/api/v1/users/me")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://core.cyberun.cloud/api/v1/users/me")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "019abc12-3456-7890-abcd-ef1234567890",
"first_name": "Alice",
"last_name": "Chen",
"display_name": "Alice Chen",
"email_address": "alice@example.com",
"team_list": [
{
"id": "019abc12-4567-7890-abcd-ef1234567891",
"display_name": "Alice's Team"
}
],
"feature_flags": {
"global": {
"features": {
"registration": true,
"oauth": true,
"email": true,
"oidc_provider": true,
"mcp_server": true,
"auto_team": true,
"notifications": true
},
"quotas": {
"max_users": 123,
"max_teams": 123,
"max_agents": 123,
"max_concurrent_tasks": 123
}
},
"account": {
"features": {
"manual_team_creation": true,
"team_invitation_accept": true
},
"quotas": {
"max_owned_teams": 123
}
},
"teams": {}
}
}{
"error_message": "resource not found"
}Authorizations
User session JWT (Bearer ). Must be paired with the X-Team-ID
request header on team-scoped endpoints so the server knows which
team's resources to operate on.
Response
Current user profile
Full profile of the authenticated user.
UUID of the user.
"019abc12-3456-7890-abcd-ef1234567890"
User's first (given) name.
"Alice"
User's last (family) name.
"Chen"
Display name shown in the UI (defaults to "first_name last_name" on registration).
"Alice Chen"
User's email address.
"alice@example.com"
Teams the user belongs to.
Show child attributes
Show child attributes
Which product features are active on this deployment. Returned here
(behind authentication) rather than in /server-info, so the catalog
of licensed capabilities is not visible to unauthenticated callers.
Show child attributes
Show child attributes
